@keyframes eclipse {
    0% {
        transform: translateX(110%);
    }

    100% {
        transform: translateX(-110%);
    }
}

.eclipse {
    background: rgb(0, 0, 0);
    transform: translateX(50%);
    filter: blur(2px);
    animation: eclipse 3s linear infinite;
}

.eclipse.glow {
    background-image:
        radial-gradient(circle at 50% 50%, transparent, rgb(110, 180, 83)),
        linear-gradient(green, green);
}